Package org.eclipse.graphiti.mm.algorithms.styles

# Interface Color

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ColorImpl`

public interface Color extends org.eclipse.emf.ecore.EObject
A representation of the model object ' Color'.

The following features are supported:

- `Red`
- `Green`
- `Blue`

See Also:
  - `StylesPackage.getColor()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlue()`
Returns the value of the 'Blue' attribute.
`int`
`getGreen()`
Returns the value of the 'Green' attribute.
`int`
`getRed()`
Returns the value of the 'Red' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getRed

int getRed()
Returns the value of the 'Red' attribute.

If the meaning of the 'Red' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Red' attribute.
See Also:
  - `StylesPackage.getColor_Red()`

### getGreen

int getGreen()
Returns the value of the 'Green' attribute.

If the meaning of the 'Green' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Green' attribute.
See Also:
  - `StylesPackage.getColor_Green()`

### getBlue

int getBlue()
Returns the value of the 'Blue' attribute.

If the meaning of the 'Blue' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Blue' attribute.
See Also:
  - `StylesPackage.getColor_Blue()`